## muffin 5.6.4+elsie

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so.2',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter core tests'
)

option('tests',
  type: 'boolean',
  value: false,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('profiler',
  type: 'boolean',
  value: false,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: false,
  description: 'Enable mutter installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('default_driver',
  type: 'combo',
  choices: ['auto', 'gl', 'gl3', 'gles2', 'nop'],
  value: 'gl'
)

## muffin 1.0.3-UP2

=== debian/changelog ===
muffin (1.0.3-UP2) maya; urgency=low

  * Fixed desktop freeze caused by windows without frames (well done esteban1uy!)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Jul 2012 16:48:23 +0100

muffin (1.0.3-UP1) maya; urgency=low

  * Fixed black borders (regression in GTK)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 May 2012 19:19:23 +0100

muffin (1.0.3) maya; urgency=low

  * 1.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Apr 2012 11:41:00 +0000

muffin (1.0.2) lisa; urgency=low

  * 1.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Mar 2012 15:55:26 +0000

muffin (1.0.1) lisa; urgency=low

  * 1.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Feb 2012 10:57:41 +0000

muffin (1.0.0) lisa; urgency=low

  * Muffin, based on Mutter 3.2.1(-0ubuntu2)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2012 18:04:13 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: muffin
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 8),
               dh-autoreconf,
               intltool (>= 0.34.90),
               libgtk-3-dev (>= 3.0.8-1~),
               libcanberra-gtk3-dev,
               gobject-introspection (>= 0.9.12-5~),
               libgirepository1.0-dev (>= 0.9.12),
               libjson-glib-dev (>= 0.13.2-1~),
               libclutter-1.0-dev (>= 1.7.5),
               libpango1.0-dev (>= 1.2.0),
               libgconf2-dev (>= 2.6.1-2),
               libglib2.0-dev (>= 2.6.0),
               libstartup-notification0-dev (>= 0.7),
               libxcomposite-dev (>= 1:0.2),
               libxfixes-dev,
               libxrender-dev,
               libxdamage-dev,
               libxcursor-dev,
               libxt-dev,
               libx11-dev,
               libxinerama-dev,
               libxext-dev,
               libxrandr-dev,
               libsm-dev,
               libice-dev,
               zenity,
               gnome-doc-utils (>= 0.8),
               gnome-pkg-tools (>= 0.10)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/muffin
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/muffin

Package: muffin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${binary:Version}),
         libgnome2-common,
         zenity
Provides: x-window-manager
Recommends: gnome-session | x-session-manager
Suggests: gnome-control-center (>= 1:2.5.4),
          gnome-themes,
          xdg-user-dirs
Description: lightweight GTK+ window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the core binaries.

Package: libmuffin0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${binary:Version})
Description: window manager library from the Muffin window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the window manager shared library, used by muffin
 itself, and gnome-shell.

Package: muffin-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: shared files for the Muffin window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the shared files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmuffin0 (= ${binary:Version}),
         gir1.2-muffin-3.0 (= ${binary:Version}),
         libclutter-1.0-dev (>= 1.0.0),
         libgtk-3-dev (>= 3.0.0)
Description: Development files for the Muffin window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the development files.

Package: gir1.2-muffin-3.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for Muffin
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-startup-notification=yes
DEB_DH_MAKESHLIBS_ARGS_libmuffin0 += -V -- -c4
DEB_INSTALL_DOCS_muffin += doc/theme-format.txt
DEB_DH_GIREPOSITORY_ARGS_ALL := /usr/lib/muffin

# This does not work with muffin; disabled, for now.
# LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/muffin/([\d\.]+)/ muffin-(.*)\.tar\.bz2

## muffin 1.1.1

=== debian/changelog ===
muffin (1.1.1-1build1) raring; urgency=low

  * No change rebuild for the new cogl.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Nov 2012 12:17:37 +0100

muffin (1.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #661270)

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Fri, 28 Sep 2012 16:26:21 +0200

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               intltool (>= 0.34.90),
               libgtk-3-dev (>= 3.0.8-1~),
               libcanberra-gtk3-dev,
               gobject-introspection (>= 0.9.12-5~),
               libgirepository1.0-dev (>= 0.9.12),
               libjson-glib-dev (>= 0.13.2-1~),
               libclutter-1.0-dev (>= 1.7.5),
               libpango1.0-dev (>= 1.2.0),
               libgconf2-dev (>= 2.6.1-2),
               libglib2.0-dev (>= 2.6.0),
               libstartup-notification0-dev (>= 0.7),
               libxcomposite-dev (>= 1:0.2),
               gsettings-desktop-schemas-dev (>= 3.3.0),
               libxfixes-dev,
               libxrender-dev,
               libxdamage-dev,
               libxcursor-dev,
               libxt-dev,
               libx11-dev,
               libxinerama-dev,
               libxext-dev,
               libxrandr-dev,
               libsm-dev,
               libice-dev,
               zenity,
               gnome-doc-utils (>= 0.8)
Standards-Version: 3.9.3
Vcs-Git: git://github.com/nbourdau/pkg-muffin.git
Vcs-Browser: https://github.com/nbourdau/pkg-muffin
Homepage: https://github.com/linuxmint/muffin

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${source:Version}),
         libgnome2-common,
         zenity
Provides: x-window-manager
Recommends: gnome-session | x-session-manager
Suggests: gnome-control-center (>= 1:2.5.4),
          xdg-user-dirs
Description: lightweight window and compositing manager
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon. 
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the core binaries.

Package: libmuffin0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${source:Version})
Description: lightweight window and compositing manager (shared library)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon. 
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the window manager shared library, used by muffin
 itself, and Cinnamon.

Package: muffin-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: lightweight window and compositing manager (data files)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon. 
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the shared data files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmuffin0 (= ${binary:Version}),
         gir1.2-muffin-3.0 (= ${binary:Version}),
         libclutter-1.0-dev (>= 1.0.0),
         libgtk-3-dev (>= 3.0.0)
Description: lightweight window and compositing manager (development files)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon. 
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the development files.

Package: gir1.2-muffin-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for Muffin
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon. 
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: muffin-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmuffin0 (= ${binary:Version}),
         muffin (= ${binary:Version}),
         ${misc:Depends}
Description: lightweight window and compositing manager (debugging symbols)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon. 
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh  $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --disable-static \
	                     --disable-schemas-install \
	                     --disable-silent-rules

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_strip:
	dh_strip --dbg-package=muffin-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=muffin-common

override_dh_install:
	dh_install -X.la --fail-missing

=== debian/watch ===
version=3
http://githubredir.debian.net/github/linuxmint/muffin/(\d[\d\.]+).tar.gz

## muffin 1.1.2

=== debian/changelog ===
muffin (1.1.2-1build1) raring; urgency=low

  * No-change rebuild against libcogl12 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 26 Feb 2013 18:51:28 -0500

muffin (1.1.2-1) unstable; urgency=low

  * New upstream: muffin_1.1.2
  * Update debian/watch: stop using redirector (Thanks: Bart Martens)
  * Move Debian package repository to Alioth 

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Tue, 11 Dec 2012 18:36:16 +0100

=== debian/control ===
--- 
+++ 
@@ -32,8 +32,8 @@
                zenity,
                gnome-doc-utils (>= 0.8)
 Standards-Version: 3.9.3
-Vcs-Git: git://github.com/nbourdau/pkg-muffin.git
-Vcs-Browser: https://github.com/nbourdau/pkg-muffin
+Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/muffin.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/muffin.git
 Homepage: https://github.com/linuxmint/muffin
 
 Package: muffin

## muffin 1.7.3

=== debian/changelog ===
muffin (1.7.3-1ubuntu1) trusty; urgency=medium

  * 0001-Fix-GTK-Doc-errors.patch: Cherry-pick from upstream to fix gtk-doc
    syntax errors leading to build failure due to g-ir-scanner running with
    --warn-all.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 14 Jan 2014 19:35:40 +0000

muffin (1.7.3-1) unstable; urgency=low

  * New upstream: muffin_1.7.3
  * remove patch (applied uptream): fix-japanese-input-problem.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Sun, 21 Apr 2013 13:02:08 +0200

muffin (1.7.2-1) unstable; urgency=low

  * New upstream: muffin_1.7.2 
  * Fix input problem
    - new patch: fix-japanese-input-problem.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Sat, 06 Apr 2013 13:58:00 +0200

muffin (1.7.1-1) unstable; urgency=low

  * New upstream: muffin_1.7.1
  * Drop patch applied in upstream: hide-private-symbols.patch
  * update libmuffin0 symbols

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Sun, 03 Mar 2013 11:10:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: muffin
 Section: x11
 Priority: optional
-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 endif
 
 %:
-	dh  $@ --with autoreconf
+	dh  $@ --with autoreconf,gir
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -22,8 +22,7 @@
 	                     --disable-schemas-install \
 	                     --disable-silent-rules
 
-override_dh_shlibdeps:
-	dh_shlibdeps
+override_dh_girepository:
 	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin
 
 override_dh_strip:

=== debian/watch ===
version=3
https://github.com/linuxmint/muffin/tags .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 13:04:46 +0000

## muffin 1.8.1+maya

=== debian/changelog ===
muffin (1.8.1+maya) olivia; urgency=low

  * 1.8.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 May 2013 13:37:25 +0100

muffin (1.8.0) olivia; urgency=low

  * 1.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 05 May 2013 12:08:27 +0100

muffin (1.7.5) olivia; urgency=low

  * 1.7.5

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 May 2013 17:09:46 +0100

muffin (1.7.4) olivia; urgency=low

  * 1.7.4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Apr 2013 20:01:00 +0100

muffin (1.7.3) olivia; urgency=low

  * 1.7.3

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Apr 2013 14:53:18 +0100

muffin (1.7.2) olivia; urgency=low

  * 1.7.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Mar 2013 10:43:31 +0000

muffin (1.7.1) olivia; urgency=low

  * 1.7.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Feb 2013 16:16:02 +0000

muffin (1.1.2) nadia; urgency=low

  * 1.1.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Oct 2012 15:24:39 +0100

muffin (1.1.1) maya; urgency=low

  * 1.1.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 Sep 2012 14:30:13 +0100

muffin (1.1.0) maya; urgency=low

  * 1.1.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 17 Sep 2012 16:33:28 +0100

muffin (1.0.9) maya; urgency=low

  * 1.0.9 (skipped 1.0.8 and 1.0.7 due to a git rebase)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Sep 2012 23:55:04 +0100

muffin (1.0.6) maya; urgency=low

  * 1.0.6

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Jul 2012 23:23:20 +0100

muffin (1.0.5) maya; urgency=low

  * 1.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Jul 2012 15:50:33 +0100

muffin (1.0.4) maya; urgency=low

  * 1.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Jun 2012 15:47:55 +0100

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               intltool (>= 0.34.90),
               libgtk-3-dev (>= 3.0.8-1~),
               libcanberra-gtk3-dev,
               gobject-introspection (>= 0.9.12-5~),
               libgirepository1.0-dev (>= 0.9.12),
               libjson-glib-dev (>= 0.13.2-1~),
               libclutter-1.0-dev (>= 1.7.5),
               libpango1.0-dev (>= 1.2.0),
               libgconf2-dev (>= 2.6.1-2),
               libglib2.0-dev (>= 2.6.0),
               libstartup-notification0-dev (>= 0.7),
               libxcomposite-dev (>= 1:0.2),
               libxfixes-dev,
               libxrender-dev,
               libxdamage-dev,
               libxcursor-dev,
               libxt-dev,
               libx11-dev,
               libxinerama-dev,
               libxext-dev,
               libxrandr-dev,
               libsm-dev,
               libice-dev,
               zenity,
               gnome-doc-utils (>= 0.8),
               gnome-pkg-tools (>= 0.10),
               gsettings-desktop-schemas-dev (>= 3.3.0)
Standards-Version: 3.9.2

Package: muffin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${source:Version}),
         zenity
Provides: x-window-manager
Suggests: gnome-themes,
          xdg-user-dirs
Description: lightweight GTK+ window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the core binaries.

Package: libmuffin0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${source:Version})
Description: window manager library from the Muffin window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the window manager shared library, used by muffin
 itself, and gnome-shell.

Package: muffin-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: shared files for the Muffin window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the shared files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmuffin0 (= ${binary:Version}),
         gir1.2-muffin-3.0 (= ${binary:Version}),
         libclutter-1.0-dev (>= 1.0.0),
         libgtk-3-dev (>= 3.0.0)
Description: Development files for the Muffin window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the development files.

Package: muffin-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmuffin0 (= ${binary:Version}),
         muffin (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for the Muffin window manager
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the debugging symbols.

Package: gir1.2-muffin-3.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for Muffin
 Muffin is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Muffin is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

## muffin 2.0.5%2Blmde

=== debian/changelog ===
muffin (2.0.5+lmde) petra; urgency=low

  * 2.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Nov 2013 13:42:23 +0000

muffin (2.0.4) petra; urgency=low

  * 2.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Nov 2013 10:23:10 +0000

muffin (2.0.3) petra; urgency=low

  * 2.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Oct 2013 14:38:50 +0100

muffin (2.0.2) petra; urgency=low

  * 2.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Oct 2013 15:50:15 +0100

muffin (2.0.1) petra; urgency=low

  * 2.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Oct 2013 10:49:23 +0100

muffin (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Oct 2013 16:08:03 +0100

muffin (1.9.1) petra; urgency=low

  * 1.9.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 12:07:31 +0100

muffin (1.8.2) olivia; urgency=low

  * 1.8.2

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 May 2013 20:55:33 +0100

muffin (1.8.1) olivia; urgency=low

  * 1.8.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 May 2013 13:37:25 +0100

## muffin 2.0.5+lmde

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               intltool (>= 0.34.90),
               libgtk-3-dev (>= 3.0.8-1~),
               libcanberra-gtk3-dev,
               gobject-introspection (>= 0.9.12-5~),
               libgirepository1.0-dev (>= 0.9.12),
               libjson-glib-dev (>= 0.13.2-1~),
               libclutter-1.0-dev (>= 1.7.5),
               libpango1.0-dev (>= 1.2.0),
               libgconf2-dev (>= 2.6.1-2),
               libglib2.0-dev (>= 2.6.0),
               libstartup-notification0-dev (>= 0.7),
               libxcomposite-dev (>= 1:0.2),
               libxfixes-dev,
               libxrender-dev,
               libxdamage-dev,
               libxcursor-dev,
               libxt-dev,
               libx11-dev,
               libxinerama-dev,
               libxext-dev,
               libxrandr-dev,
               libsm-dev,
               libice-dev,
               zenity,
               gnome-doc-utils (>= 0.8),
               gnome-pkg-tools (>= 0.10),
               libcinnamon-desktop-dev (>= 1.0.0)
Standards-Version: 3.9.2

Package: muffin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${source:Version}),
         zenity
Provides: x-window-manager
Suggests: gnome-themes,
          xdg-user-dirs
Description: Muffin window manager
 Muffin is the window manager used by Cinnamon.
 .
 This package contains the core binaries.

Package: libmuffin0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${source:Version})
Description: window manager library from the Muffin window manager
 Muffin is the window manager used by Cinnamon.
 .
 This package contains the window manager shared library.

Package: muffin-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: shared files for the Muffin window manager
 Muffin is the window manager used by Cinnamon.
 .
 This package contains the shared files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmuffin0 (= ${binary:Version}),
         gir1.2-muffin-3.0 (= ${binary:Version}),
         libclutter-1.0-dev (>= 1.0.0),
         libgtk-3-dev (>= 3.0.0)
Description: Development files for the Muffin window manager
 Muffin is the window manager used by Cinnamon.
 .
 This package contains the development files.

Package: muffin-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmuffin0 (= ${binary:Version}),
         muffin (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for the Muffin window manager
 Muffin is the window manager used by Cinnamon.
 .
 This package contains the debugging symbols.

Package: gir1.2-muffin-3.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for Muffin
 Muffin is the window manager used by Cinnamon.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

## muffin 2.0.5+maya

=== debian/changelog ===
muffin (2.0.5+maya) petra; urgency=low

  * 2.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Nov 2013 13:42:23 +0000

## muffin 2.2.6

=== debian/changelog ===
muffin (2.2.6-2) unstable; urgency=medium

  [ Margarita Manterola ]
  * Incorporate changes from Ubuntu to make muffin build on ppc64el.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:20:53 +0200

muffin (2.2.6-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * debian/control:
    - removed libgnome2-common
    - gsettings-desktop-schemas-dev -> libcinnamon-desktop-dev
    - gnome-session -> cinnamon-session
    - gnome-control-center -> cinnamon-control-center

 -- Margarita Manterola <marga@debian.org>  Sat, 12 Jul 2014 12:42:52 +0200

muffin (2.2.5-1) experimental; urgency=medium

  * New upstream release.
  * Update symbol file.

 -- Margarita Manterola <marga@debian.org>  Sat, 24 May 2014 19:28:35 +0200

muffin (2.2.3-1) experimental; urgency=medium

  * Update VCS fields.
  * New upstream release.
  * Remove patch: update-cogl-support adapted upstream.
  * Remove patch: gtk-state-flags adapted upstream.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 19 May 2014 14:09:44 +0200

muffin (2.2.1-1) experimental; urgency=low

  [ Nicolas Bourdaud ]
  * New upstream: muffin_1.8.2
  * Bump policy version to 3.9.4 -- no changes

  [ Maximiliano Curia ]
  * New upstream release muffin_2.0.5
  * New maintainers (Closes: #745908)
  * Bump Standards-Version to 3.9.5.
  * Add new build-dependencies.
  * Refresh patch: support-muffin-typelib
  * Update install files.
  * Update symbols file.
  * Add abi-compliance-checker info.

  [ Margarita Manterola ]
  * New upstream release muffin_2.2.1.
  * Add patch: update-cogl-support to support libcogl-dev 1.18
  * Add patch: gtk-state-flags to support new GTK_STATE_FLAG values.

 -- Margarita Manterola <marga@debian.org>  Mon, 28 Apr 2014 22:27:14 +0200

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-acc,
               gnome-doc-utils (>= 0.8),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.9.12-5~),
               intltool (>= 0.34.90),
               libcanberra-gtk3-dev,
               libcinnamon-desktop-dev (>= 1.0.0),
               libclutter-1.0-dev (>= 1.7.5),
               libgconf2-dev (>= 2.6.1-2),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.6.0),
               libgtk-3-dev (>= 3.0.8-1~),
               libice-dev,
               libjson-glib-dev (>= 0.13.2-1~),
               libpango1.0-dev (>= 1.2.0),
               libsm-dev,
               libstartup-notification0-dev (>= 0.7),
               libx11-dev,
               libxcomposite-dev (>= 1:0.2),
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               zenity
Standards-Version: 3.9.5
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/muffin.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/muffin.git

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: muffin-common (= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Recommends: cinnamon-session | x-session-manager
Suggests: cinnamon-control-center, xdg-user-dirs
Description: lightweight window and compositing manager
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the core binaries.

Package: libmuffin0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: muffin-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: lightweight window and compositing manager (shared library)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the window manager shared library, used by muffin
 itself, and Cinnamon.

Package: muffin-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: lightweight window and compositing manager (data files)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the shared data files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Depends: gir1.2-muffin-3.0 (= ${binary:Version}),
         libclutter-1.0-dev (>= 1.0.0),
         libgtk-3-dev (>= 3.0.0),
         libmuffin0 (= ${binary:Version}),
         ${misc:Depends}
Description: lightweight window and compositing manager (development files)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the development files.

Package: gir1.2-meta-muffin-0.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for Muffin
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: gir1.2-muffin-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for Muffin (compatibility version)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the GObject introspection data which may be used to
 generate dynamic bindings. It provides the old API version for typelib to
 be used by old version of cinnamon.

Package: muffin-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmuffin0 (= ${binary:Version}),
         muffin (= ${binary:Version}),
         ${misc:Depends}
Description: lightweight window and compositing manager (debugging symbols)
 Muffin is a small window manager performing compositing as well based on
 GTK+ and Clutter and used in desktop environment such as Cinnamon.
 .
 It is fairly extensible by the mean of plugins, providing new or customized
 visual effects as well as a flexibility in the behavior of the window
 manager.
 .
 This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,16 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+ifeq (ppc64el,$(filter $(DEB_BUILD_ARCH),ppc64el))
+  CFLAGS += -O2
 endif
 
 %:
@@ -19,7 +25,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static \
-	                     --disable-schemas-install \
 	                     --disable-silent-rules
 
 override_dh_girepository:
@@ -33,3 +38,13 @@
 
 override_dh_install:
 	dh_install -X.la --fail-missing
+
+run_dh_acc:
+	# The package needs to be installed (@ in autopkgtest)
+	for in_file in debian/*.acc.in; do \
+	    out_file=$${in_file%.in}; \
+	    sed 's/\$${DEB_HOST_MULTIARCH}/'"$(DEB_HOST_MULTIARCH)"'/' \
+		"$${in_file}" > "$${out_file}"; \
+	done
+
+	dh_acc

## muffin 2.2.6+qiana

=== debian/changelog ===
muffin (2.2.6+qiana) qiana; urgency=medium

  * 2.2.6

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:15:03 +0100

muffin (2.2.5) qiana; urgency=medium

  * 2.2.5

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2014 12:28:17 +0100

muffin (2.2.4) qiana; urgency=medium

  * 2.2.4

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 May 2014 14:18:59 +0100

muffin (2.2.3) qiana; urgency=medium

  * 2.2.3

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 11 May 2014 10:02:29 +0100

muffin (2.2.2) qiana; urgency=medium

  * 2.2.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 May 2014 13:45:02 +0100

muffin (2.2.1) qiana; urgency=medium

  * 2.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Apr 2014 14:16:24 +0100

muffin (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 12:48:12 +0100

muffin (2.0.5) petra; urgency=low

  * 2.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Nov 2013 13:42:23 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh  $@ --with autoreconf,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --disable-static \
	                     --enable-startup-notification=yes \
	                     --disable-silent-rules

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_strip:
	dh_strip --dbg-package=muffin-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=muffin-common

override_dh_install:
	dh_install -X.la --fail-missing

## muffin 2.4.5%2Brebecca

=== debian/changelog ===
muffin (2.4.5+rebecca) rebecca; urgency=medium

  [ Stefan Dösinger ]
  * Allow programmatic minimization without MWM_FUNC_MINIMIZE

  [ Michael Webster ]
  * screen.c: update _NET_DESKTOP_LAYOUT with the current workspace layout.
  * screen.c: Update _NET_DESKTOP_NAMES when appropriate. Before we only did it when the MetaScreen was initialized - during startup - which would result in the server having the wrong names (or worse, the wrong length array of names.)
  * MetaWindow: make meta_window_get_xwindow introspectable.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 31 Mar 2015 09:27:35 +0200

muffin (2.4.4) betsy; urgency=medium

  * Add _NET_WM_STATE_MAXIMIZED_VERT to the _NET_WM_STATE for tiled windows.
  * window menu: fix right-click support for client-side-decorated windows.
  * Improved support for client-side-decorated windows:
  * Fix c-s-d windows properly, to account for unscaled GTK_FRAME_EXTENTS.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Feb 2015 17:02:03 +0100

muffin (2.4.3) rebecca; urgency=medium

  * Fixed scroll-zoom modifier mask
  * Fixed freezing when receiving a Steam notification
  * Fixed keybinding events not referencing X Windows, improve handling for hotkeys that use modifiers that are themselves hotkeys.
  * Fixed dark theme variant support

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Jan 2015 16:08:08 +0100

muffin (2.4.2) rebecca; urgency=medium

  * Frames: Fixed clicking maximize button from a top or bottom-tiled state

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Nov 2014 11:57:56 +0100

muffin (2.4.1) rebecca; urgency=medium

  * re-added keybindings schema to allow cinnamon-desktop migration script to work.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 08 Nov 2014 10:02:10 +0100

muffin (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Oct 2014 15:19:45 +0100

muffin (2.3.0) unstable; urgency=medium

  * 2.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:17:03 +0100

muffin (2.2.6) qiana; urgency=medium

  * 2.2.6

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:15:03 +0100

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               intltool (>= 0.34.90),
               libgtk-3-dev (>= 3.0.8-1~),
               libcanberra-gtk3-dev,
               gobject-introspection (>= 0.9.12-5~),
               libgirepository1.0-dev (>= 0.9.12),
               libjson-glib-dev (>= 0.13.2-1~),
               libclutter-1.0-dev (>= 1.7.5),
               libpango1.0-dev (>= 1.2.0),
               libgconf2-dev (>= 2.6.1-2),
               libglib2.0-dev (>= 2.6.0),
               libstartup-notification0-dev (>= 0.7),
               libxcomposite-dev (>= 1:0.2),
               libxfixes-dev,
               libxrender-dev,
               libxdamage-dev,
               libxcursor-dev,
               libxt-dev,
               libx11-dev,
               libxinerama-dev,
               libxext-dev,
               libxrandr-dev,
               libsm-dev,
               libice-dev,
               zenity,
               gnome-doc-utils (>= 0.8),
               gnome-pkg-tools (>= 0.10),
               libcinnamon-desktop-dev (>= 2.3.0),
               gobject-introspection
Standards-Version: 3.9.4

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${source:Version}),
         zenity
Provides: x-window-manager
Suggests: gnome-themes,
          xdg-user-dirs
Description: window and compositing manager
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the core binaries.

Package: libmuffin0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muffin-common (= ${source:Version})
Description: window and compositing manager (shared library)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared library.

Package: muffin-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: window and compositing manager (data files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmuffin0 (= ${binary:Version}),
         gir1.2-muffin-3.0 (= ${binary:Version}),
         libclutter-1.0-dev (>= 1.0.0),
         libgtk-3-dev (>= 3.0.0)
Description: window and compositing manager (development files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the development files.

Package: muffin-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmuffin0 (= ${binary:Version}),
         muffin (= ${binary:Version}),
         ${misc:Depends}
Description: window and compositing manager (debugging symbols)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the debugging symbols.

Package: gir1.2-muffin-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for Muffin
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.
